package se.zert.test;

import javax.annotation.*;
import javax.ejb.*;

@Stateless
@Remote({Test.class})
@org.jboss.annotation.security.SecurityDomain("zert")
@org.jboss.annotation.ejb.PoolClass(value=org.jboss.ejb3.StrictMaxPool.class, maxSize=100, timeout=Long.MAX_VALUE)
public class TestBean implements Test {
  @Resource 
  private SessionContext context;

  @Override
  public boolean checkRole() {
    return context.isCallerInRole("administrator");    
  }
}
